{%- from "dogtag/map.jinja" import server with context %}
dogtag_restore_script:
  file.managed:
  - name: /etc/dogtag/dogtag-restore.sh
  - source: salt://dogtag/files/dogtag-restore.sh
  - template: jinja
  - user: root
  - group: root
  - mode: 700

dogtag_run_restore:
  cmd.run:
  - name: /bin/bash /etc/dogtag/dogtag-restore.sh
  - user: root
  - unless: "[ -e /etc/salt/.dogtag_restored ]"
  - require:
    - file: dogtag_restore_script
